summaryrefslogtreecommitdiffstats
path: root/source/xap/easytag/easytag.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/easytag/easytag.SlackBuild')
-rwxr-xr-xsource/xap/easytag/easytag.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/source/xap/easytag/easytag.SlackBuild b/source/xap/easytag/easytag.SlackBuild
index b45927c93..40c9b3daf 100755
--- a/source/xap/easytag/easytag.SlackBuild
+++ b/source/xap/easytag/easytag.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -78,6 +78,13 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Revert an upstream commit that corrupts .ogg and .opus files:
+zcat $CWD/easytag.revert.ogg.handle.patch.gz | patch -p1 -R --verbose || exit 1
+
+# freedb.musicbrainz.org has been shut down, so blank out the backup host
+# name to avoid hangs that occur when trying to connect to the defunct service:
+zcat $CWD/easytag.no.freedb.musicbrainz.org.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \